Upsert Project Schedule
curl --request POST \
--url https://api.example.com/api/projects/{project_id}/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scan_types": [
"<string>"
],
"enabled": true,
"day_of_week": 123,
"time_of_day": "03:00"
}
'import requests
url = "https://api.example.com/api/projects/{project_id}/schedule"
payload = {
"scan_types": ["<string>"],
"enabled": True,
"day_of_week": 123,
"time_of_day": "03:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scan_types: ['<string>'],
enabled: true,
day_of_week: 123,
time_of_day: '03:00'
})
};
fetch('https://api.example.com/api/projects/{project_id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"enabled": true,
"scan_types": [
"<string>"
],
"frequency": "<string>",
"time_of_day": "<string>",
"dataset_id": 123,
"project_id": 123,
"day_of_week": 123,
"last_run_at": "2023-11-07T05:31:56Z",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_status": "<string>",
"run_count": 0,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}schedules
Upsert Project Schedule
POST
/
api
/
projects
/
{project_id}
/
schedule
Upsert Project Schedule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Cookies
Body
application/json
Response
Successful Response
⌘I

